<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_detail.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' %}">Edit</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <th>Task</th>
                    <th>Due Date</th>
                </thead>
                <tbody>
                    {% for item in todo_detail.items.all %}
                    <tr>
                        <td>{{ item.task }}</td>
                        <td>{{ item.due_date }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>
